JanosVM v0.6.0 Java API

## edu.utah.janosvm.sys
Class SegmentationFaultError

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Error
                  |
                  +--edu.utah.janosvm.sys.SegmentationFaultError

public final class SegmentationFaultError
extends java.lang.Error

Indicates that an invalid cross-process pointer was dereferenced. This Error is only thrown by the write-barrier code.

Author:
  Tim Stack, Utah Janos Team
See Also:
  Serialized Form

Constructor Summary
`SegmentationFaultError()`
`SegmentationFaultError(java.lang.String msg)`

Methods inherited from class java.lang.Throwable
`clone, fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, stringStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SegmentationFaultError

    public SegmentationFaultError()

### SegmentationFaultError

    public SegmentationFaultError(java.lang.String msg)

JanosVM v0.6.0 Java API

This documentation is Copyright (C) 2000-2002 The University of Utah. All Rights Reserved. See the documentation license for distribution terms and restrictions.
Documentation, software, and mailing lists for the JanosVM can be found at the Janos Project web page: http://www.cs.utah.edu/flux/janos/
Generated on Mar 17, 2002